## org.springframework.expression.spel
Class SpelParserConfiguration

    java.lang.Object
      org.springframework.expression.spel.SpelParserConfiguration

    public class SpelParserConfiguration

extends Object

Configuration object for the SpEL expression parser.

Since:
  3.0
Author:
  Juergen Hoeller
See Also:
  `SpelExpressionParser.SpelExpressionParser(SpelParserConfiguration)`

Constructor Summary
`SpelParserConfiguration(boolean autoGrowNullReferences, boolean autoGrowCollections)`

Method Summary
`boolean` `isAutoGrowCollections()`
`boolean` `isAutoGrowNullReferences()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpelParserConfiguration

    public SpelParserConfiguration(boolean autoGrowNullReferences,
                                   boolean autoGrowCollections)

Method Detail

### isAutoGrowNullReferences

    public boolean isAutoGrowNullReferences()

### isAutoGrowCollections

    public boolean isAutoGrowCollections()